Bug 1020340 - [PENDING JASPER] Report page not loading
[PENDING JASPER] Report page not loading
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: jasperreports-server-pro (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Yaniv Lavi (Dary)
Barak Dagan
infra
: Reopened, Triaged
: 1017863 1029023 (view as bug list)
Depends On:
Blocks: 1010680 3.3snap3
  Show dependency treegraph
 
Reported: 2013-10-17 09:21 EDT by David Caro
Modified: 2016-06-26 19:50 EDT (History)
14 users (show)

See Also:
Fixed In Version: IS25 - rhevm-reports-3.3.0-23.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:45:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the reports page with popup (199.15 KB, image/png)
2013-10-17 09:21 EDT, David Caro
no flags Details

  None (edit)
Description David Caro 2013-10-17 09:21:17 EDT
Created attachment 813332 [details]
Screenshot of the reports page with popup

Description of problem:
When accessing the 'dashboard' tab a popup shows up with html code in it, and the reports page shows four 'loading' gifs all the time.

Version-Release number of selected component (if applicable):
3.3.0 is19

rhevm 3.3.0-0.26.master.el6ev
rhevm-dwh 3.3.0-15.el6ev
rhevm-reports 3.3.0-12.el6ev

How reproducible:
Install rpms, run engine-setup, rhevm-dwh-setup, rhevm-reports-setup, add iscsi domain, create a few machines and hit the dashboard tab.

Steps to Reproduce:
1.Install packages
2.Run setup for engine, dwh and reports
3.Create a few machines
4.Go to dashboard tab

Actual results:
A popup with html code and page shows 4 loading gifs (see attached screenshot)

Expected results:
Reports page correctly loading.

Additional info:
Comment 1 Einav Cohen 2013-10-18 10:01:08 EDT
sounds similar to bug 1017163, which was closed due to inability to reproduce. David - are you able to reproduce it consistently?
Comment 2 David Caro 2013-10-18 12:31:29 EDT
Yes, I am.

Reproduced again, reinstalled is19, set up a DC with one host and one vm, then ran dwh-setup and after reports-setup, and after that (engine gets restarted twice) went to the created dc 'dashboard' tab and got the same result.
Comment 4 Einav Cohen 2013-10-18 13:20:14 EDT
(In reply to David Caro from comment #2)
> Yes, I am.
> 
> Reproduced again, reinstalled is19, set up a DC with one host and one vm,
> then ran dwh-setup and after reports-setup, and after that (engine gets
> restarted twice) went to the created dc 'dashboard' tab and got the same
> result.

many thanks, David. Can you please attach logs?
@Oved: Any chance that you can pick it up from here? 
[again, it seems extremely similar to bug 1017163, which you have already investigated]
Comment 5 Barak 2013-10-20 10:53:04 EDT
Please attach logCollection on the rhevm server (it collects also jasperServer logs)
Comment 6 Yaniv Lavi (Dary) 2013-10-20 11:55:51 EDT
Opened case number 00040416.



Yaniv
Comment 7 Barak Dagan 2013-10-23 04:23:58 EDT
Adding additional info:
1) The report dashboard, doesn't load indeed using FF
2) The report dashboard, do start loading after a while using chrome, and then jumno pop up containing : "<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">". After confirm, the page stuck with the "loading" gifs.
Comment 9 Yaniv Lavi (Dary) 2013-10-27 13:47:00 EDT
*** Bug 1017863 has been marked as a duplicate of this bug. ***
Comment 12 Barak Dagan 2013-11-07 08:07:41 EST
Verification failed on IS21:

# rpm -qa  | egrep 'report|dwh'
rhevm-dwh-3.3.0-18.el6ev.noarch
jasperreports-server-pro-5.5.0-4.el6ev.noarch
rhevm-reports-3.3.0-18.el6ev.noarch


Same results. NO dsahboard in FF,     <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> in chrome
Comment 13 Yaniv Lavi (Dary) 2013-11-17 11:20:54 EST

*** This bug has been marked as a duplicate of bug 1029023 ***
Comment 14 Yaniv Lavi (Dary) 2013-11-17 11:23:01 EST
*** Bug 1029023 has been marked as a duplicate of this bug. ***
Comment 15 Barak Dagan 2013-11-25 10:02:20 EST
verification failed on is24.2, rhevm-reports-3.3.0-22.el6ev.noarch:

The following message recived: 

"Internal server error occurred. Please contact your system administrator.

Details: Could not execute JDBC batch update; SQL [insert into JIRole (rolename, tenantId, externallyDefined, id) values (?, ?, ?, ?)]; constraint [null]; nested exception is org.hibernate.exception.ConstraintViolationException: Could not execute JDBC batch update"
Comment 16 Yaniv Lavi (Dary) 2013-11-25 10:53:15 EST
(In reply to Barak Dagan from comment #15)
> verification failed on is24.2, rhevm-reports-3.3.0-22.el6ev.noarch:
> 
> The following message recived: 
> 
> "Internal server error occurred. Please contact your system administrator.
> 
> Details: Could not execute JDBC batch update; SQL [insert into JIRole
> (rolename, tenantId, externallyDefined, id) values (?, ?, ?, ?)]; constraint
> [null]; nested exception is
> org.hibernate.exception.ConstraintViolationException: Could not execute JDBC
> batch update"

Barak, are you testing with upgraded engine, cause this error looks like the error we has with the api issue pre IS24.1?
Juan any idea?
Comment 17 Barak Dagan 2013-11-26 03:08:29 EST
Yaniv,

There is no upgraded engine !!!
As can be seen from Version table changes: http://bob.eng.lab.tlv.redhat.com/builds/is24.2/is24.2_version_info.html
Comment 18 Yaniv Lavi (Dary) 2013-11-26 04:27:09 EST
(In reply to Barak Dagan from comment #17)
> Yaniv,
> 
> There is no upgraded engine !!!
> As can be seen from Version table changes:
> http://bob.eng.lab.tlv.redhat.com/builds/is24.2/is24.2_version_info.html

As I said above "pre IS24.1".
Comment 19 Barak Dagan 2013-11-26 05:34:13 EST
this was the latest version I got from CI
Comment 20 Yaniv Lavi (Dary) 2013-11-26 09:29:27 EST
should be in for is25


Yaniv
Comment 21 Barak Dagan 2013-11-27 12:12:45 EST
Verified on IS25.

got all 3 dashboard (general, dc, cluster)
Comment 22 Charlie 2013-11-27 20:06:21 EST
This bug is currently attached to errata RHSA-2013:15137 . If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to 
minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 24 errata-xmlrpc 2014-01-21 12:45:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0037.html

Note You need to log in before you can comment on or make changes to this bug.